{
    "files.exclude": {
        "**/.classpath": true,
        "**/.project": true,
        "**/.settings": true,
        "**/.factorypath": true
    },
    "cmake.configureOnOpen": false,
    "files.associations": {
        "functional": "cpp",
        "chrono": "cpp",
        "type_traits": "cpp",
        "csetjmp": "cpp",
        "cfloat": "cpp",
        "ciso646": "cpp",
        "iosfwd": "cpp",
        "deque": "cpp",
        "list": "cpp",
        "vector": "cpp",
        "xstring": "cpp",
        "string": "cpp",
        "*.tcc": "cpp",
        "array": "cpp",
        "memory": "cpp",
        "bitset": "cpp",
        "string_view": "cpp",
        "initializer_list": "cpp",
        "regex": "cpp",
        "utility": "cpp",
        "valarray": "cpp",
        "forward_list": "cpp",
        "exception": "cpp",
        "fstream": "cpp",
        "istream": "cpp",
        "mutex": "cpp",
        "new": "cpp",
        "ostream": "cpp",
        "shared_mutex": "cpp",
        "sstream": "cpp",
        "stdexcept": "cpp",
        "streambuf": "cpp"
    },
    "python.formatting.provider": "yapf"
}